<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <head>
        <title>Cadasrtro Endereço</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </head>
    <body>
        <ui:composition template="../WEB-INF/template/template.xhtml">

            <ui:define name="content">
                <p:fieldset legend="Cadastro Localização Do Cinema">
                    <p:panelGrid columns="2" id="painelLocalizacaoCinema">
                        <f:facet name="header">
                            Dados do Endereço
                        </f:facet>
                        <p:outputLabel value="Codigo Do Endereço:" for="codigoEndereco" />
                        <p:inputText id="codigoEndereco"  style="width: 40px" readonly="true" value="#{enderecoBean.codigo}" />
                        <p:outputLabel value="Logradouro:" for="logradouro" />
                        <h:panelGroup >
                            <p:inputText id="logradouro" required="true" requiredMessage="Campo logradouro é obrigatorio!" value="#{enderecoBean.endereco.logradouro}" />
                            <p:message for="logradouro" />
                        </h:panelGroup>
                        <p:outputLabel value="Cidade:" for="cidade" />
                        <h:panelGroup >
                            <p:inputText id="cidade" required="true" requiredMessage="Campo cidade é obrigatorio!" value="#{enderecoBean.endereco.cidade}" />
                            <p:message for="cidade" />
                        </h:panelGroup>
                        <p:outputLabel value="CEP:" for="cep" />
                        <h:panelGroup >
                            <p:inputText id="cep" required="true" requiredMessage="Campo cep é obrigatorio!" value="#{enderecoBean.endereco.cep}"  />
                            <p:message for="cep" />
                        </h:panelGroup>
                        <f:facet name="footer">
                            <p:commandButton value="Salvar" icon="fa fa-plus" action="#{enderecoBean.salvar}" update="painelLocalizacaoCinema"><a href="../filmes/gerenciar.xhtml"></a></p:commandButton>
                            <p:spacer width="20px" />
                            <p:commandButton value="Novo" icon="ui-icon-pencil" action="#{enderecoBean.novo}" immediate="true" update="painelLocalizacaoCinema" resetValues="true"/>
                        </f:facet>
                        <h:inputHidden value="#{enderecoBean.endereco.id}" />
                    </p:panelGrid>      
                </p:fieldset>
            </ui:define>
       </ui:composition>
    </body>
</html>
